Name:           spatialite-tools
Version:        2.4.0
Release:        0.5.RC4%{?dist}
Summary:        A set of useful CLI tools for SpatiaLite

Group:          Development/Tools
License:        GPLv3+
Source0:        http://www.gaia-gis.it/spatialite-%{version}-4/%{name}-%{version}.tar.gz
URL:            http://www.gaia-gis.it/spatialite/index.html

BuildRequires:  expat-devel
BuildRequires:  geos-devel
BuildRequires:  libspatialite-devel
BuildRequires:  proj-devel
BuildRequires:  readline-devel
BuildRequires:  sqlite-devel

# No libspatialite for ppc64 -- see #663938
ExcludeArch:    ppc64

%description
Spatialite-Tools is a set of useful CLI tools for SpatiaLite.


%prep
%setup -q

# Remove unused Makefiles
rm -f Makefile-static*


%build
# Add libm (floor); Reported upstream via e-mail 15 Jan 2011
%configure LDFLAGS="-lm"
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS COPYING
%{_bindir}/exif_loader
%{_bindir}/shp_doctor
%{_bindir}/spatialite
%{_bindir}/spatialite_gml
%{_bindir}/spatialite_network
%{_bindir}/spatialite_osm*
%{_bindir}/spatialite_tool


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-0.5.RC4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 17 2011 Volker Fröhlich <volker27@gmx.at> - 2.4.0-0.4.RC4
- Support readline
- Drop EPEL5 specific statements and definitions
- Drop unnecessary defattr
- Slightly improved description
- More explicit files section

* Fri Feb 25 2011 Volker Fröhlich <volker27@gmx.at> - 2.4.0-0.3.RC4
- Exclude ppc64

* Fri Jan 14 2011 Volker Fröhlich <volker27@gmx.at> - 2.4.0-0.2.RC4
- Dropped prefix from configure macro
- Corrected license
- Use macros in source URL

* Mon Dec 20 2010 Volker Fröhlich <volker27@gmx.at> - 2.4.0-0.1.RC4
- Inital packaging
